/***********************************************************************
*Copyright (c)2012 , 天际边工作室
*All rights reserved.
**
文件名称：	Who.cpp
*摘要：		君主选择类头文件
**
*修改历史：
*	版本    日期     作者     改动内容和原因
*   ----------------------------------------------------
*	1.0    2012-10-5  wstjb     基本的功能完成
***********************************************************************/

#pragma once

#include <windows.h>
#include <stdio.h>
#include <stdlib.h>
#include "GameMap.h"
#include "Menu.h"
#include <iostream>
#include <fstream>
#include <cstring>

class Who
{
public:

	void InitWho(int uChoice);
	int KeyDown(WPARAM KeyCode);
	void Show();
	void GameWorldRevlcd();
	void GameRevlcd(int k);
//private:
	GameMap gamemap;
	Menu menu;
	int flagwho;
	int ngb;
	int choice;
};